Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gemini.blueprint.extender.internal.activator
Class NoOpOsgiContextProcessor

    java.lang.Object
      org.eclipse.gemini.blueprint.extender.internal.activator.NoOpOsgiContextProcessor

All Implemented Interfaces:
  OsgiContextProcessor

    public class NoOpOsgiContextProcessor

extends Object
implements OsgiContextProcessor

Author:
  Costin Leau

Constructor Summary
`NoOpOsgiContextProcessor()`

Method Summary
`void` | `postProcessClose(ConfigurableOsgiBundleApplicationContext context)`
`void` | `postProcessRefresh(ConfigurableOsgiBundleApplicationContext context)`
`void` | `postProcessRefreshFailure(ConfigurableOsgiBundleApplicationContext localApplicationContext, Throwable th)`
`void` | `preProcessClose(ConfigurableOsgiBundleApplicationContext context)`
`void` | `preProcessRefresh(ConfigurableOsgiBundleApplicationContext context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NoOpOsgiContextProcessor

    public NoOpOsgiContextProcessor()

Method Detail

### postProcessClose

    public void postProcessClose(ConfigurableOsgiBundleApplicationContext context)

  Specified by:
    `postProcessClose` in interface `OsgiContextProcessor`

### postProcessRefresh

    public void postProcessRefresh(ConfigurableOsgiBundleApplicationContext context)

  Specified by:
    `postProcessRefresh` in interface `OsgiContextProcessor`

### postProcessRefreshFailure

    public void postProcessRefreshFailure(ConfigurableOsgiBundleApplicationContext localApplicationContext,
                                          Throwable th)

  Specified by:
    `postProcessRefreshFailure` in interface `OsgiContextProcessor`

### preProcessClose

    public void preProcessClose(ConfigurableOsgiBundleApplicationContext context)

  Specified by:
    `preProcessClose` in interface `OsgiContextProcessor`

### preProcessRefresh

    public void preProcessRefresh(ConfigurableOsgiBundleApplicationContext context)

  Specified by:
    `preProcessRefresh` in interface `OsgiContextProcessor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2012. All Rights Reserved.